.wrapper {
	font-family: 'Roboto', sans-serif;
	width: 100vw;
	height: 100vh;
	background-color: #e5e5e5;

	display: flex;
	justify-content: center;
	align-items: center;
}

.form {
	width: 545px;
}

.form__header {
	background-color: #D4DAF8;
	position: relative;
}

.form__header-title {
	font-size: 20px;
	line-height: 23px;
	font-weight: 700;
	color: #516DF2;
	padding: 32px 0px 16px 32px;
}

.form__header-subtitle {
	font-size: 15px;
	line-height: 18px;
	color: #516DF2;
	padding: 0 0 71px 32px;
}

.form__header-image {
	width: 139px;
	height: 112px;
	position: absolute;
	right: 53px;
	top: 32px;
}

.form__header-logo {
	position: absolute;
	left: 32px;
	bottom: -51px;
	border-radius: 50%;
	width: 102px;
	height: 102px;
	border: 4px solid #ffffff;
}

.form__main {
	background-color: #ffffff;
}

.sign-in {
	display: flex;
	flex-direction: column;
	padding: 83px 32px 24px;
}

.sign-in__label {
	display: flex;
	flex-direction: column;
	margin-bottom: 24px;
	font-size: 15px;
	line-height: 18px;
	color: #000000;
}

.label__field {
	margin-top: 12px; 
	padding: 14px 20px;
	border: 1px solid #C1C1C1;
	border-radius: 4px;
}

/* Стилизация placeholder */
.label__field::placeholder {
	font-size: 15px;
	line-height: 18px;
	color: #838383;
}

/* Стилизация field при навидении */
.label__field:focus {
	box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.3);
}

.sign-in__checkbox {
	display: flex;
	align-items: center;
	justify-content: center;
	justify-content: flex-start;
	font-size: 15px;
	line-height: 18px;
	color: #000000;
}

.sign-in__checkbox-checkmark {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	border: 1px solid #C1C1C1;
	border-radius: 3px;
	box-sizing: border-box;
	width: 17px;
	height: 17px;
	margin-right: 10px;
}

.sign-in__checkbox-checkmark::before {
	content: '';
	display: none;
	background-image: url(../img/square-check.svg);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	width: 15px;
	height: 17px;
}

.sign-in__checkbox-input {
	display: none;
}

.sign-in__checkbox-input:checked ~ 
.sign-in__checkbox-checkmark::before {
	display: inline-block;

}

.sign-in__radio-wrap {
	display: grid;
	grid-auto-flow: column;
	justify-content: start;
	grid-column-gap: 5px;
	margin: 32px 0 41px;
}

.sign-in__radio {
	padding: 0 20px;
	box-sizing: border-box;
	display: flex;
	align-items: center;
}

.sign-in__radio-checkmark {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	padding: 5px;
	border: 1px solid #C1C1C1;
	border-radius: 50%;
	box-sizing: border-box;
	margin-right: 10px;

}

.sign-in__radio-checkmark::before {
	content: ''; 
	display: inline-block;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background-color: transparent;
}

.sign-in__radio-input {
	display: none;
}

/* выбирает следующий сестринский элемент с заданным классом */
.sign-in__radio-input:checked ~ 
.sign-in__radio-checkmark::before {
	background-color: #6F6F6F;

}

.sign-in__btn {
	font-size: 15px;
	line-height: 18px;
	font-weight: 700;
	color: #ffffff;
	background-color: #556EE6;
	border: none;
	border-radius: 4px;
	padding: 14px 0;
}

.pass-recovery {
	display: flex;
	justify-content: center;
	align-items: center;
	padding-bottom: 34px;
}

.pass-recovery__link {
	color: #838383;
	font-size: 15px;
	line-height: 18px;
	margin-left: 10px;
	text-decoration: none;
}